import { Request, Response, NextFunction } from "express";
// import bodyParser from 'body-parser';
// import cors from 'cors';
import * as jwt from "jsonwebtoken";

export default (req: Request, res: Response, next: NextFunction) => {
  const token = <string>req.headers["auth"];
  try {
    const jwtPayload = <any>jwt.verify(token, "secretjwtsecret");
    // const jwtPayload = <any>jwt.verify(token, process.env.JWT_SECRET);
    res.locals.jwtPayload = jwtPayload;
  } catch (error) {
    console.log(error);
    return res.status(401).send();
  }
  next();
};
