import expressLoader from "./express";
import openapiLoader from "./openapi";
import databaseLoader from "./database";
import { Application } from "express";

export default async (app: Application) => {
    await databaseLoader();
    await openapiLoader(app);
    await expressLoader(app);
    return app;
};
