import { Entity, Column } from "typeorm";
import { IsNotEmpty,} from "class-validator";
import { Participant } from "./Participant";
import { RunnerGroup } from "./RunnerGroup";

/**
 * Defines a runner.
*/
@Entity()
export class Runner extends Participant {
  /**
   * The runner's associated group.
   */
  @Column()
  @IsNotEmpty()
  //TODO:Relation
  group: RunnerGroup;
}
