import { Entity, Column } from "typeorm";
import { IsOptional,} from "class-validator";
import { RunnerGroup } from "./RunnerGroup";

/**
 * Defines a runner organisation (business or school for example).
*/
@Entity()
export class RunnerOrganisation extends RunnerGroup {

  /**
   * The organisations's address.
   * Optional
   */
  @Column()
  @IsOptional()
  //TODO: Relationship
  address?: Location;
}