import { Entity, Column } from "typeorm";
import { IsNotEmpty } from "class-validator";
import { RunnerGroup } from "./RunnerGroup";

/**
 * Defines a runner team (class or deparment for example).
*/
@Entity()
export class RunnerTeam extends RunnerGroup {

  /**
   * The team's parent group.
   * Optional
   */
  @Column()
  @IsNotEmpty()
  //TODO: Relationship
  parentGroup?: RunnerGroup;
}